Contains the code to accompany manuscript: Can CNN-based species classification generalise across variation in habitat within a camera trap survey?

Files:

    extract_metadata.sh: reads in metadata from raw image files and outputs a csv
    process_metadata.py: removes unwanted images from csv and inconsistent species labels. Adds unique event numbers throughout dataset
    inceptionv3_Adamcustom.py: example code for running the Inceptionv3 network using Keras
    evaluation_networks_comparison_HPC.py: example code for evaluating performance of multiple networks
    create_individ_veg_datasets_camera_level.py: splits dataset into 5 disturbance levels (veg_score) and creates training and test sets for each, ensuring no camera crossover between the two sets
    create_combined_veg_datasets_camera_level.py: samples from the individual disturbance level datasets to constuct combined disturbance level datasets
    create_MD_datasets_camera_level.py: replicates the combined disturbance level datasets using images cropped to bounding boxes around the animal
    tidy_metrics_disturbance_levels.py: combines the metrics output for each disturbance level configuration

Note: file/directory paths need to be set by the user in each script
